const API_BASE = 'http://jihengcc.cn:17080/ypdApi'

module.exports = {
	//  获取首页轮播图列表
	getIndexSwiperList: API_BASE + '/v2/home/getRollAdvertisingHomeList',
	//  获取首页场馆列表
	getVenueList: API_BASE + '/v2/home/getVenueNearbyList',
	//  获取场馆详情
	getVenueDetail: API_BASE + '/v2/home/getVenueDetailById',
	//  获取班级详情
	getClassDetail: API_BASE + '/v2/home/getClassDetailById',
	//  获取首页精彩瞬间列表
	getVideoList: API_BASE + '/v2/home/getCourseShowNearbyList',
	
	
	//  提交新增学员表单
	submitStudentForm: API_BASE + '/v2/student/info/add',
	//  提交学员预约表单
	submitSubscribelForm: API_BASE + '/v2/class/appointment',
	//  提交请假表单
	submitLevelForm: API_BASE + '/v2/class/leaveSubmit',
	//  提交评价表单
	submitEvaluateForm: API_BASE + '/v2/class/estimateSubmit',
	
	
	//  获取我的课程列表
	getMyClassList: API_BASE + '/v2/class/getList',
	//  获取我的请假列表
	getLeaveList: API_BASE + '/v2/class/getLeaveList',
	//  获取我的订单列表
	getOrderList: API_BASE + '/v2/student/myCenter/getOrderByState',
	//  获取我的学员列表
	getStudentList: API_BASE + '/v2/student/myCenter/selectStudent',
	//  获取我的优惠券列表
	getCouponList: API_BASE + '/v2/student/myCenter/getCouponList',
	//  获取我的评价列表
	getEvaluateList: API_BASE + '/v2/student/myCenter/getClassEvaluateList',
	
	
	//  获取可购买会员卡列表
	getMemberCardList: API_BASE + '/v2/student/myCenter/getMemberList',
	//  获取可购买会员卡信息
	getMemberCardInfo: API_BASE + '/v2/student/myCenter/getMemberDetail',
	//  获取可用优惠券列表
	getUsableCouponList: API_BASE + '/v2/student/myCenter/getOwnCouponList',
	//  获取可购买会员卡选择优惠券后信息
	getMemberCardInfoAfterCoupon: API_BASE + '/v2/student/myCenter/getMemberDetailAfterCoupon',
	//  获取支付回调数据
	getPayParams: API_BASE + '/v2/student/myCenter/getWxPayParams',
	//  获取支付结果
	getPayResult: API_BASE + '/v2/student/myCenter/getPayResult',
}
